%define real_name HTML-Tagset
%define real_version 3.03
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:	HTML Tagset for perl
Name:		perl-html-tagset
Version:	%{real_version}
Release:	5tr
Source:		%{real_name}-%{real_version}.tar.gz
License:	Perl
Group:		Trustix Official
Requires:	perl >= %{perl_version}
Provides:	perl(HTML::Tagset)
BuildRequires: perl-devel >= 5.8.0
Buildroot:	%{_tmppath}/%{name}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
This module contains data tables useful in dealing with HTML.

%prep -q
%setup -q -n %{real_name}-%{real_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=site PREFIX=%{_prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc ChangeLog README
%dir %{siteperl}/HTML
%{siteperl}/HTML/Tagset.pm
%{_mandir}/man3/HTML::Tagset*

%changelog
* Mon Oct  4 2004 Nageswara Sastry <nageswara at comodo dot com>
- ReBuild for tsl-2.2 with perl-5.8.5

* Thu Feb 12 2004 Gerald Dachs <gda at trustix dot org> 3.03-3gd
- fixed permission on directory

* Mon Oct 13 2003 Goetz Bock <bg at tawie dot org> 3.03-2bg
- rebuild, small specfile cleanup

* Tue Sep  2 2003 Goetz Bock <bock at trustix dot org> 3.03-1bg
- build for Trustix 2.0 (aka Cloud) - Contrib
